Subject: bug#7275: 24.0.50; Incomplete font locking in c++-mode with Emacs 24

From: Alex <[email-masked]>
Date: Sun, 14 Aug 2016 15:50:56 -0600

close 7275 24.5
quit

Suvayu Ali <[email-masked]> writes:

> Hi Emacs developers,
>
> Since about 3 weeks I am seeing incomplete font-locking behaviour with
> "GNU Emacs 24.0.50.1" in c++-mode. The variables and function names
> are displayed in the `default' face instead of
> `font-lock-variable-name-face' and `font-lock-function-name-face'
> respectively.
>
> Recipe:
> 1. Start emacs with `emacs -Q'
> 2. Open a C++ source file
> 3. Navigate to the implementation of a function or instantiation of an
>    object
>
> To demonstrate, I took comparing screenshots with Emacs 24 and Emacs 23. Compare
> lines 83 and 91 in the screen shots to see what I mean.
>
> Emacs 23.2.1 (correct font-lock behaviour)
> <http://i288.photobucket.com/albums/ll164/jalladandtux/screenies/emacs-24-incorrect-font-lock.png>
>
> Emacs 24 (incorrect font-lock behaviour)
> <http://i288.photobucket.com/albums/ll164/jalladandtux/screenies/emacs-23-correct-font-lock.png>
>
> PS: I am not subscribed to the list.
>
> Hope I didn't miss to include any information.

Emacs 24.5 font-locks the same as your correct font-locking picture.